Subject: Re: "add -p" + filenames with UTF-8 multibyte characters = "No changes"

From: Teemu Likonen <[email-masked]>
Date: Sun, 15 Feb 2009 20:59:07 +0200

On 2009-02-15 19:40 (+0100), Antonio García Domínguez wrote:

> I seem to have run into a bug in "add -p" and "add -i" when trying to
> stage diff hunks in tracked files with UTF-8 multibyte characters
> (such as "á"). If I add "á", commit, then modify it and try to run
> "add -p" on it, Git reports "No changes". "add -i" doesn't do
> anything, either.
>
> I've switched to 1.6.2.rc0.90.g0753 and the problem persists. If it
> helps, I've attached a small shell script with a minimal recipe for
> triggering the bug.

This bug is documented in BUGS section of "git add" manual (see "git
help add"). You can work it around with

    git config --global core.quotepath false